Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property
Class InvalidPathExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.graph.property.InvalidPathExpressionException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class InvalidPathExpressionException

extends RuntimeException

A runtime exception that represents that an invalid `path expression` was specified.

See Also:
  Serialized Form

Constructor Summary
`InvalidPathExpressionException()`
`InvalidPathExpressionException(String message)`
`InvalidPathExpressionException(String message, Throwable cause)`
`InvalidPathExpressionException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPathExpressionException

    public InvalidPathExpressionException()

### InvalidPathExpressionException

    public InvalidPathExpressionException(String message)

Parameters:
  `message` -

### InvalidPathExpressionException

    public InvalidPathExpressionException(Throwable cause)

Parameters:
  `cause` -

### InvalidPathExpressionException

    public InvalidPathExpressionException(String message,
                                          Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.